/***
 *  Platypus is (c) Copyright 2006-07 Pacific Data Works LLC. All Rights Reserved.
 *  Licensed under Apache License 2.0 (http://www.apache.org/licenses/LICENSE-2.0.html)
 */

package platypus;

/**
 * Generic integer counter.
 * @author alb
 */
public class Counter
{
    private int counter;
    private int lineNumber;
    GID gid;

    Counter()
    {
        counter = 0;
        gid = GID.getInstance();
    }

    public void increment()
    {
        set( counter + 1 );
    }

    public void set( final int newValue )
    {
        counter = newValue;
        lineNumber = gid.getCurrLine().getLineNumber();
    }

    public int get()
    {
        return( counter );
    }

    public int getLineNumber()
    {
        return( lineNumber );
    }

    public String dump()
    {
        StringBuffer sb = new StringBuffer();
        sb.append( "(" )
          .append( Literals.getInstance().getLit( "LINE" ))
          .append( " " )
          .append( lineNumber  )
          .append( ") " )
          .append( counter );
        return( sb.toString() );
    }

}
