/*--
 * (c) Copyright 2007 Pacific Data Works LLC. All Rights Reserved.
 * Licensed under Apache License 2.0 (http://www.apache.org/licenses/LICENSE-2.0.html)
 **/

package platypus;

/**
 * Series of static functions that dump a value to a string, so that it can be printed
 * by the various [dump:..] commands
 * @author alb
 */
public class DumpValue
{
    /**
     * returns a string with text of points converted to inches with corresponding text
     * @param points the points to be converted to inches
     * @return the string
     */
    public static String pointsToInches( final float points )
    {
        final StringBuffer sb = new StringBuffer();
        final String s = String.format( "%.3f", ( points / PlatyConst.POINTS_PER_INCH ));
        sb.append( s +  " " + Literals.getInstance().getLit( "INCHES" ));
        return( sb.toString() );
    }

    /**
     * Format a floating-point value to a string with at most 1 decimal point
     * @param floatValue the value to convert
     * @return the resulting string
     */
    public static String pointsFormatted( final float floatValue )
    {
        return( String.format( "%.2f", floatValue ));
    }
}
