/*
 *(c) Copyright 2007 Pacific Data Works LLC. All Rights Reserved.
 * Licensed under Apache License 2.0 (http://www.apache.org/licenses/LICENSE-2.0.html)
 *
 * Author: alb
 **/
package platypus;
/**
 * Handles the command specifying the size of a font.
 */
public class FontSize extends CommandValue
{
    public FontSize( String s, String t ) { super( s, t ); }
    public FontSize( float f ) { super( f ); }

    /**
     * Error handling routine for invalid font size
     * @param s the invalid font size command. In theory, this can never be null.
     */
    @Override
    public String stateError( String s )
    {
        final Literals lits = Literals.getInstance();

        if ( s != null ) {
            final StringBuffer errMsg = new StringBuffer( 20 );

            errMsg.append( lits.getLit( "ERR_INVALID_FONT_SIZE" ))
                  .append( " [" )
                  .append( s )
                  .append( " ")
                  .append( lits.getLit( "AT_LINE"))
                  .append( ": " )
                  .append( getLineNumber() );

            GDD.getInstance().getLogger().warning( errMsg.toString() );
            return( errMsg.toString() );
        }
        else {
            return( null );
        } 
    }
}
