/***
 *  Platypus is (c) Copyright 2006-07 Pacific Data Works LLC. All Rights Reserved.
 *  Licensed under Apache License 2.0 (http://www.apache.org/licenses/LICENSE-2.0.html)
 */
package platypus;

/**
 * Purely a data structure used for returning units information from parsers.
 * It contains, to speak of, no logic. For this reason, there also no unit
 * tests for this class.
 *
 * @author alb
 */
public class ParsedUnit
{
    /** the number of units */
    private float amount;

    /** the type of unit. e.g. POINTS, PIXELS, INCHES, etc. */
    private PlatyConst.unit unit;

    /** if an error occured (unit = ERROR), what kind was it? */
    private int errorCode;

    /** how many chars were taken up with the number and the units? */
    private int charsParsed;

    /** is the next character the end of the command? so: ] or }] or the like */
    private boolean atEnd;
    
    public ParsedUnit()
    {
        this.unit = PlatyConst.unit.ERROR;
    }

    public float getAmount()
    {
        return amount;
    }

    public void setAmount( final float amount )
    {
        this.amount = amount;
    }

    public PlatyConst.unit getUnit()
    {
        return unit;
    }

    public void setUnit( final PlatyConst.unit unit )
    {
        this.unit = unit;
    }

    public int getErrorCode()
    {
        return errorCode;
    }

    public void setErrorCode( final int errorCode )
    {
        this.errorCode = errorCode;
    }

    public int getCharsParsed()
    {
        return charsParsed;
    }

    public void setCharsParsed( final int charsParsed )
    {
        this.charsParsed = charsParsed;
    }

    public boolean isAtEnd()
    {
        return atEnd;
    }

    public void setAtEnd( final boolean atEnd )
    {
        this.atEnd = atEnd;
    }
}
