/***
 *  Platypus: Page Layout and Typesetting Software (free at platypus.pz.org)
 *
 *  Platypus is (c) Copyright 2006-07 Pacific Data Works LLC. All Rights Reserved.
 *  Licensed under Apache License 2.0 (http://www.apache.org/licenses/LICENSE-2.0.html)
 */
package platypus;

/**
 * Abstract class for emitting all symbols and special characters.
 * @author alb
 */
public abstract class SpecialChar
{
    /** Set to Status.INVALID_TOKEN if charCode not supported. Mostly used for unit tests */
    private int status;

    protected GDD gdd = GDD.getInstance();

    public SpecialChar()
    {
        status = Status.OK;
    }

    public void write( final TokTyp charCode )
    {
    }

    public void setStatus( int newStatus )
    {
        status = newStatus;
    }
    /**
     * return the status of the constructor. Used mostly for unit testing.
     * @return status
     */
    public int getStatus()
    {
        return( status );
    }
}
