/***
 *  Platypus: Page Layout and Typesetting Software (free at platypus.pz.org)
 *
 *  Platypus is (c) Copyright 2006-07 Pacific Data Works LLC. All Rights Reserved.
 *  Licensed under Apache License 2.0 (http://www.apache.org/licenses/LICENSE-2.0.html)
 */

package platypus.commands;

import platypus.Command;
import platypus.TokTyp;
import platypus.Status;

/**
 * Executes command for: doing nothing. (a NOP equivalent).
 * This class is used for unit testing and for certain processing contexts that
 * are facilitated by having a command that has no effect.
 *
 * @author alb
 */
public class CommandDoNothing extends Command
{
    public CommandDoNothing()
    {
        setAbbrev( "[donothing]" );
        setName( lits.getLit( "DO_NOTHING" ));
        setType( TokTyp.DO_NOTHING );
    }

    /**
     * Do nothing save return a valid status.
     *
     * @param actualCommand the command as found in the input Platypus file
     * @return Status.OK
     */
    public int process( String actualCommand )
    {
        return( Status.OK );
    }
}