/***
 *  Platypus: Page Layout and Typesetting Software (free at platypus.pz.org)
 *
 *  Platypus is (c) Copyright 2006-07 Pacific Data Works LLC. All Rights Reserved.
 *  Licensed under Apache License 2.0 (http://www.apache.org/licenses/LICENSE-2.0.html)
 */

package platypus.pdf;

import platypus.*;

/**
 * Emits all special characters.
 * @author alb
 */
public class SpecialCharPdf extends SpecialChar
{
    @Override
    public void write( final TokTyp charCode )
    {
        setStatus( Status.OK );
        final Outfile out = gdd.getOutfile();

        switch( charCode )
        {
            case INVERTED_EXCLAM:    out.emitText( "" );    break;
            case INVERTED_QUESTION:  out.emitText( "" );    break;
            case A_ACUTE:            out.emitText( "" );    break;
         // case A_BREVE:            out.emitText( "?" );    break;
         // case A_CARON:            out.emitText( "?" );    break;
            case A_CIRCUMFLEX:       out.emitText( "" );    break;
            case A_GRAVE:            out.emitText( "" );    break;
         // case A_MACRON:           out.emitText( "?" );    break;
            case A_TILDE:            out.emitText( "" );    break;
            case A_UMLAUT:           out.emitText( "" );    break;
            case A_CAP_ACUTE:        out.emitText( "" );    break;
         // case A_CAP_BREVE:        out.emitText( "?" );    break;
         // case A_CAP_CARON:        out.emitText( "?" );    break;
            case A_CAP_CIRCUMFLEX:   out.emitText( "" );    break;
            case A_CAP_GRAVE:        out.emitText( "" );    break;
         // case A_CAP_MACRON:       out.emitText( "?" );    break;
            case A_CAP_TILDE:        out.emitText( "" );    break;
            case A_CAP_UMLAUT:       out.emitText( "" );    break;
            case C_CEDILLA:          out.emitText( "" );    break;
            case C_CAP_CEDILLA:      out.emitText( "" );    break;
            case COPYRIGHT:          out.emitText( "" );    break;
            case E_ACUTE:            out.emitText( "" );    break;
         // case E_BREVE:            out.emitText( "?" );    break;
         // case E_CARON:            out.emitText( "?" );    break;
            case E_CIRCUMFLEX:       out.emitText( "" );    break;
            case E_GRAVE:            out.emitText( "" );    break;
         // case E_MACRON:           out.emitText( "?" );    break;
         // case E_TILDE:            out.emitText( "" );    break;
            case E_UMLAUT:           out.emitText( "" );    break;
            case E_CAP_ACUTE:        out.emitText( "" );    break;
         // case E_CAP_BREVE:        out.emitText( "?" );    break;
         //  case E_CAP_CARON:        out.emitText( "?" );    break;
            case E_CAP_CIRCUMFLEX:   out.emitText( "" );    break;
            case E_CAP_GRAVE:        out.emitText( "" );    break;
         // case E_CAP_MACRON:       out.emitText( "?" );    break;
         // case E_CAP_TILDE:        out.emitText( "" );    break;
            case E_CAP_UMLAUT:       out.emitText( "" );    break;
            case EM_DASH:            out.emitText( "\u2014" );  break;
            case EN_DASH:            out.emitText( "\u2013" );  break;
            case I_ACUTE:            out.emitText( "" );    break;
         // case I_BREVE:            out.emitText( "?" );    break;
         // case I_CARON:            out.emitText( "?" );    break;
            case I_CIRCUMFLEX:       out.emitText( "" );    break;
            case I_GRAVE:            out.emitText( "" );    break;
         // case I_MACRON:           out.emitText( "?" );    break;
         // case I_TILDE:            out.emitText( "" );    break;
            case I_UMLAUT:           out.emitText( "" );    break;
            case I_CAP_ACUTE:        out.emitText( "" );    break;
         // case I_CAP_BREVE:        out.emitText( "?" );    break;
         //  case I_CAP_CARON:        out.emitText( "?" );    break;
            case I_CAP_CIRCUMFLEX:   out.emitText( "" );    break;
            case I_CAP_GRAVE:        out.emitText( "" );    break;
         // case I_CAP_MACRON:       out.emitText( "?" );    break;
         // case I_CAP_TILDE:        out.emitText( "" );    break;
            case I_CAP_UMLAUT:       out.emitText( "" );    break;
            case N_TILDE:            out.emitText( "" );    break;
            case N_CAP_TILDE:        out.emitText( "" );    break;
            case O_ACUTE:            out.emitText( "" );    break;
            case O_CIRCUMFLEX:       out.emitText( "" );    break;
            case O_GRAVE:            out.emitText( "" );    break;
            case O_UMLAUT:           out.emitText( "" );    break;
            case O_CAP_ACUTE:        out.emitText( "" );    break;
            case O_CAP_CIRCUMFLEX:   out.emitText( "" );    break;
            case O_CAP_GRAVE:        out.emitText( "" );    break;
            case O_CAP_UMLAUT:       out.emitText( "" );    break;
            case QUOTE_DOUBLE_LEFT:  out.emitText( "\u201C" );  break;
            case QUOTE_DOUBLE_RIGHT: out.emitText( "\u201D" );  break;
            case QUOTE_SINGLE_LEFT:  out.emitText( "\u2018" );  break;
            case QUOTE_SINGLE_RIGHT: out.emitText( "\u2019" );  break;
            case REGISTERED:         out.emitText( "" );    break;
            case S_SHARP:            out.emitText( "" );    break;
            case U_ACUTE:            out.emitText( "" );    break;
            case U_CIRCUMFLEX:       out.emitText( "" );    break;
            case U_GRAVE:            out.emitText( "" );    break;
            case U_UMLAUT:           out.emitText( "" );    break;
            case U_CAP_ACUTE:        out.emitText( "" );    break;
            case U_CAP_CIRCUMFLEX:   out.emitText( "" );    break;
            case U_CAP_GRAVE:        out.emitText( "" );    break;
            case U_CAP_UMLAUT:       out.emitText( "" );    break;

            default: setStatus( Status.INVALID_TOKEN );  break;
        }
    }
}
