/***
 *  Platypus: Page Layout and Typesetting Software (free at platypus.pz.org)
 *
 *  Platypus is (c) Copyright 2006-07 Pacific Data Works LLC. All Rights Reserved.
 *  Licensed under Apache License 2.0 (http://www.apache.org/licenses/LICENSE-2.0.html)
 */

package platypus.pdf.commands.characters;

import platypus.Status;
import platypus.TokTyp;
import platypus.pdf.SpecialCharPdf;

/**
 * Executes command for emitting a special character.
 *
 * @author alb
 */
public class CharEnDash extends platypus.Command
{
    public CharEnDash()
    {
        setAbbrev( "[--]" );
        setName( lits.getLit( "EN_DASH" ));
        setType( TokTyp.EN_DASH );
    }

    /**
     * Output the special character or symbol
     *
     * @param actualCommand the command as found in the input Platypus file
     * @return Status.OK or Status.INVALID_TOKEN if the char/symbol is not supported.
     */
    public int process( final String actualCommand )
    {
        if ( gdd == null ) {
            return( Status.INVALID_GDD );
        }

        if ( gdd.getOutfile() == null ) {
            return( Status.INVALID_GDD );
        }

        final SpecialCharPdf specialChar = new SpecialCharPdf();
        specialChar.write( getType() );
        return( specialChar.getStatus() );
    }
}